import MotionFXModule from "./index";

class MotionFXFrontend {
  constructor() {
    this.init();
  }

  init() {
    this.motionFX = new MotionFXModule();
  }
}

// Ensure it initializes when Elementor frontend is ready
jQuery(window).on("elementor/frontend/init", () => {
  window.motionFXFrontend = new MotionFXFrontend();
});
